Bug 440307

Summary: missing args should be reported correctly
Product: Red Hat Enterprise Linux 5 Reporter: Jan Hutař <jhutar>
Component: yumAssignee: James Antill <james.antill>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 5.2CC: borgan, ddumas
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-20 16:44:38 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jan Hutař 2008-04-02 14:30:13 EDT
Description of problem:
Commands like:

yum -R (should fail, stating that an argument is required)

or:

yum -d (should fail, stating that an argument is required)

Should behave same, with error message like "Command line error: -R option 
requires an argument"


Version-Release number of selected component (if applicable):
3.2.8-9.el5


How reproducible:
always


Steps to Reproduce:
1. yum -R
2. yum -d


Actual results:
First command reports missing args, second one just outputs list of available 
options


Expected results:
All these commands (also -c, -e, --installroot...) reports missisng argument
Comment 1 Jan Hutař 2008-04-02 14:32:06 EDT
This was discovered while testing 2008:8129 and James Antill fixed it upstream:

http://devel.linux.duke.edu/gitweb/?
p=yum.git;a=commit;h=bb596fb4115689e089f6aa76efa5064de819b53d
Comment 3 James Antill 2008-09-26 17:02:08 EDT
Add a BZ that's already fixed, just an accounting thing.
Comment 9 errata-xmlrpc 2009-01-20 16:44:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0176.html